Send a Viber Campaign

Send viber messages to multiple recipients. This is a paid service.

📘

Account activated feature

Please note, the service is available for use after filling in Viber Application Form

RESPONSE PARAMETERS

KEYDESCRIPTION
trackingIdThe tracking id of the viber campaign.
typeThe service type of the campaign.
stateThe state of the campaign.
createdAtThe time the campaign was created
senderInfoTrackingIdThe unique sender id.
toThe recipients' numbers.
campaignNameThe name of the campaign. This value must be unique for your account. This is useful if you plan to sent the Viber message to multiple destination numbers or to a group of contacts.
scheduledDateThe time the campaign is scheduled to run.
bodyRepresents the viber message.
body.textThe text of viber message.
body.imageURLThe url of the image. (recommended image size: 400KB for optimal delivery; image url length: max 1000 characters; only valid and secure URL starting with https:/)
body.actionRepresents the action(button) of the viber message.
body.action.captionThe displayed text on the button.
body.viberFileRepresents the file of the viber message.
body.viberFile.fileNameFile name of the viber message.
body.viberFile.fileTypeFile type of the viber message.
body.viberFile.fileUrlThe Url of the of the viber message file. (recommended file size: 600KB for optimal delivery)
body.viberVideo.videoUrlThe URL where the video is hosted (1000 max chars, only https). To ensure that all videos will be validated and become downloadable, each video’s server host must allow Viber’s client to verify the file header to make sure the file meets Viber’s technical requirements. A video that will not allow headers investigation might not allow users that receive it to download the file or play the content. The video file must be hosted on a server that allows HEAD methods and includes the file “Content-Length“ in the server reply.
body.viberVideo.videoThumbnailThe URL of a thumbnail for the Video(1000 max chars, only https).
body.viberVideo.fileSizeThe file size in MB(positive number, 200 max).
body.viberVideo.durationThe video’s duration in seconds(positive number, 600 max).
body.fallbackValuesDefines the default values in case a contact does not contain any of the selected personalized labels. It is an object with key-values pairs. The key refers to the label name.
ttlTime range until message expires. TTL range in seconds: 30 - 86400 seconds. If it is not set, the default range is 14 days. TTL range in seconds for web clients: 300 - 86400 seconds.
costThe cost of the campaign.
totalMessagesThe total messages of viber campaign.
viberAnalysisContains information for viber campaign after being analyzed.
viberAnalysis.numberOfRecipientsThe total number of recipients.
viberAnalysis.recipientsPerCountryThe total recipients per country (country format in ISO 3166-1 alpha-2).
viberAnalysis.recipientCountriesFor each recipient the country that the mobile belongs to (country format in ISO 3166-1 alpha-2).
viberAnalysis.recipientsPerGroupFor each group the number of recipients that it contains, without the blacklisted contacts.
viberAnalysis.totalInGroupsThe total number of recipients in all given groups excluding the ones already specified and the blacklisted.
viberAnalysis.bodyAnalysisThe body analysis of the viber message.
viberAnalysis.bodyAnalysis.charactersThe total number of characters of the message's body.
callbackUrlThe defined callback URL that will receive all the individual messages' progress of the Viber campaign. Check here for details.
inboundUrlThe defined callback URL that will receive the inbound messages. Check here for details.
labelA generic label which can be used for tagging the Viber message. Maximum length is 350 characters.
isSessionMessageIndicates Viber Campaign is initiated to be a Viber Session. The session rate is applied ONLY after recipient response. Billed per session not per each delivered message. Default value false. Supported session types are: Text-Only, Image and File. Learn more about session messaging at our documention.

ERROR CODES

STATUSCODEDESCRIPTION
400400001009You don't have enough balance to send the campaign.
400400019002(errorCode: 001) The recipient numbers are not in the correct format (mobile numbers) or your array of numbers contains at least one wrong number.
400400000000The provided image URL should be valid.
400400000000The image URL length must be up to 1000 characters.
400400000000The provided image URL should be secure, starting with https:/
400400019002(errorCode: 007) Your campaign has wrong message type combination. The supported types are: Text, Image, File, Text + Action, Text + Action + Image.
400400000000The value of ttl must be less than or equal to 86400.
404404002001A contact id does not exist.
404404020001The sender ID is not correct.
409409009003Your account already has a campaign with the given name.
400400019002(errorCode: 019) Invalid file type (e.g. HTML)
Supported types are: doc, docx, rtf, dot, dotx, odt, odf, fodt, txt, info"
+ "pdf, xps, pdax, eps, xls, xlsx, ods, fods, csv, xlsm, xltx
400400019002(errorCode: 016) File larger than 600 KB
400400019002(errorCode: 020) Provided ViberCampaign is a session one, but its type is invalid. Supported session types are: Text-Only, Image and File.
400400000000SRVC_BAD_THUMBNAIL In case the thumbnail URL is complied of more than 1000.
400400000000The size of the video file is bigger than 200MB.
400400000000The video duration is bigger than 600 seconds.
400400019002Campaign has wrong message type combination. The supported types are: Video, Video+Text, Video+Text+Image.
400400019002Viber Video message is not supported by Viber Session message.
Body Params
string
required

The unique sender id. You can find it at Routee Platform-applications page.

to
array of strings

The phone numbers (array) the message is about to be sent to. Format with a '+' and country code e.g., +306948530920 (E.164 format). Max length: 1000. One of "groups", "to", "contacts" parameters are required.

to
contacts
array of strings

The contact ids that the message will be sent to. Max length: 1000. One of "groups", "to", "contacts" parameters are required.

contacts
groups
array of strings

The groups of contacts in the account selected as recipients. Groups have to be created at the system. Max length: 1000. One of "groups", "to", "contacts" parameters are required.

groups
string

The name of the viber campaign. If you want to be able to track the whole campaign from Routee web platform use a name. Must be between 2 and 30 characters and contain only latin letters, numbers, spaces and -

boolean
Defaults to false

Indicates a Viber Campaign is initiated to be a Viber Session. The session rate is applied ONLY after recipient response. Billed per session not per each delivered message. Supported session types are: Text-Only, Image and File. Default value false. Learn more about it at our documention

date

Defines the scheduled date and time in UTC. (eg YYYY-MM-DDThh:mm:ssTZD where TZD is the time zone designator (Z or +hh:mm or -hh:mm))

body
object

Represents the viber message. When the viber message has only text, then the message is transactional. Otherwise, it is promotional. The supported viber message layouts are: Text, Image, Text + Action, Text + Action + Image. Check here for details.

int32

Time range until message expires. TTL range in seconds: 30 - 86400 seconds. If it is not set, the default range is 14 days. TTL range in seconds for web clients: 300 - 86400 seconds.

string

Defines the callback URL that will receive all the individual messages' progress of the Viber campaign. Check here for details.

string

Defines the callback URL that will receive the inbound messages. Check here for details.

string

A generic label which can be used for tagging the Viber message. Maximum length is 350 characters.

Headers
string
required
Defaults to Bearer {access_token}

Bearer {access_token}

string
required
Defaults to application/json

application/json

Responses

Language
Request
Response
Choose an example:
application/json